org.eclipse.graphiti.ui.internal.requests

## Class ContextButtonDragRequest

- java.lang.Object
- - org.eclipse.gef.Request
  - - org.eclipse.gef.requests.CreateRequest
    - - org.eclipse.gef.requests.CreateConnectionRequest
      - - org.eclipse.graphiti.ui.internal.requests.ContextButtonDragRequest

All Implemented Interfaces:
  org.eclipse.gef.requests.DropRequest, org.eclipse.gef.requests.TargetRequest

    public class ContextButtonDragRequest
    extends org.eclipse.gef.requests.CreateConnectionRequest

### Constructor Summary

Constructors
Constructor and Description
`ContextButtonDragRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContextButtonEntry` `getContextButtonEntry()`
`void` `setContextButtonEntry(ContextButtonEntry contextButtonEntry)`

### Methods inherited from class org.eclipse.gef.requests.CreateConnectionRequest

`getSourceEditPart, getStartCommand, getTargetEditPart, setSourceEditPart, setStartCommand, setTargetEditPart`

### Methods inherited from class org.eclipse.gef.requests.CreateRequest

`getLocation, getNewObject, getNewObjectType, getSize, isSnapToEnabled, setFactory, setLocation, setSize, setSnapToEnabled`

### Methods inherited from class org.eclipse.gef.Request

`getExtendedData, getType, setExtendedData, setType`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextButtonDragRequest

    public ContextButtonDragRequest()

### Method Detail

#### getContextButtonEntry

    public ContextButtonEntry getContextButtonEntry()

#### setContextButtonEntry

    public void setContextButtonEntry(ContextButtonEntry contextButtonEntry)